Exposed Google Cloud Platform (GCP) API keys Notification    
This topic is closed by Vick

--Admin--
Jun 27, 2019 12:07 PM
Hi,

Many of you already received an Alert message from Google related Exposed Google Cloud Platform (GCP) API keys.

SeattleCloud Team is aware and we are working already on fixing this issue.

Google consider that keys used in your app in various features ( Map, Messenger) are not stored correctly. We are considering the best way save these keys in your apps.

Please note that this is not a blocking issue and you are able to submit apps further.

We will let everyone know as soon as will manage to fix this issue.

Don't hesitate to contact us if any questions appear.

Best regards,
SC Team

Update July 10 2019

SeattleCloud Team managed to fix this problem. Fix related this issue was deployed already to Production Server.

You need to request a new instant build and update your live application in order to solve this issue.

Even after the update of the App on Google Play, recheck may take up to 24 hours.

This mean that Google Play Security Notification will disappear after 24 hours or less.

NOTE! Related to apps which have map related features. The API Key (Google Maps Android API v2 Key) has to be restricted. For more details on how to restrict your API Key read this tutorial here. Search for the  "Adding restrictions to API keys" section. If the warning'll not disappear consider to contact us via a support ticket. Restriction must be for places and map.

Don't hesitate to contact us if any questions appear via support tickets. 


Jun 27, 2019 12:58 PM
Thanks for the update, Victor. It's most appreciated :)

John



Jun 27, 2019 01:04 PM
thankyou...


Jun 28, 2019 01:44 AM
thank you waiting for update


Jun 28, 2019 01:45 PM
Many thanks!


Jun 28, 2019 06:57 PM
Thanks.
I would love to receive these SC announcements on a mail service.

Best Jannik



Jun 29, 2019 02:17 AM
I can't wait to finish moving all our Apps from from you guys.






Jun 29, 2019 07:53 PM
This week you will do it?


Jun 29, 2019 08:26 PM
thanks 


Jul 01, 2019 11:20 PM
Any update on this?


--Admin--
Jul 02, 2019 01:16 PM
Hello,

The GCP API Keys issue was resolved.

You can now request updates for your builds in order to apply the new changes.

Note that you still can keep the older submitted applications, as it is not a mandatory update for all affected apps. Make sure also to use a restricted API Key.

Consider to open a support ticket if you'll have any related issues or questions.

Best regards,
Vick
SC Team


Jul 02, 2019 05:02 PM
Thanks for resolving this quickly.


Jul 03, 2019 01:42 PM
Good morning Victor, I updated my apps in the store and at first they said it was corrected but now the warning is again skipped for the same problem.



Hello Juan, 

This may happen if the API Key is still unrestricted. Go to your Google API Settings and make sure the Key is restricted.
If you'll still have related issues consider to open a support ticket on this case, so we'll investigate. 

Best regards,
Vick
SC Team



Jul 03, 2019 08:47 PM
Hey I did not understand how to use the API key.
I can not do it.
Hello Aviram, 
 
For more details on how you can get the API key, consider to read this tutorial related to API key provided in help section. 

Best regards,
Vick
SC Team



Jul 05, 2019 07:10 AM
Hi,

I started updating my apps immediately the fix was available. Almost 2 days now since I started and the error message remains in Google Play console.  Well over 24 hours for Google Play to check.

I have never used Google API in my apps.

What do I do?

Thanks,

John


Hello, 

First make sure the API Key is restricted for more details read the tutorial provided above

Second you need to make sure the warning is not related to your older version of the application. 

Google can keep your older version of the application and in such case the Warning won't be removed. Do not retain the older version of the application.

Hope these details'll help you. 
Best regards,
SC Team



Jul 05, 2019 01:54 PM
Thanks.

1. I have never set up an API Key, so I cannot restrict it.
2. I was very careful to ensure old version not retained. I've just checked, and there's only one version.

What do I do next, please?

Thanks,

John


Please open a support ticket on this case, so we'll verify your application. 
Regards, 
Vick
SC Team



    1 2   next